// ==UserScript==
// @name         Invidious - Proxy Mode
// @version      0.1.0
// @author       Jesús E.
// @license      GPL-3.0
// @description  This script automatically Proxy-Mode on Invidious and its various public instances.
// @namespace    InvidiousProxy
// @homepageURL  https://libregit.org/heckyel/book/src/branch/master/scripts-greasemonkey
// @include      /^http(s|)://(www[.]|)invidio[.]us/.*$/
// @include      /^http(s|)://(www[.]|proxy[.])invidious[.]snopyta[.]org/.*$/
// @include      /^http(s|)://(www[.]|)vid[.]wxzm[.]sx/.*$/
// @include      /^http(s|)://(www[.]|)invidious[.]kabi[.]tk/.*$/
// @include      /^http(s|)://(www[.]|)invidiou[.]sh/*
// @include      /^http(s|)://(www[.]|)invidious[.]enkirton[.]net/.*$/
// @include      /^http(s|)://(www[.]|)tube[.]poal[.]co/.*$/
// @include      /^http(s|)://(www[.]|)invidious[.]13ad[.]de/.*$/
// @include      /^http(s|)://(www[.]|)invidious[.]drycat[.]fr/.*$/
// @grant        none
// ==/UserScript==

(function proxyMode() {
    'use strict';
    const consoleCSS = 'background: #000; color: #00FF00; padding: 0px 7px; border: 1px solid #00FF00; line-height: 16px;';

    // Set Proxy
    const vids = document.getElementsByTagName('source')
    for( let i = 0; i < vids.length; i++ ){
        let proxyURL = vids.item(i).src + "&local=true";
        vids.item(i).src = proxyURL;
        // console.log( vids.item(i).src );
    }

    console.log("%cUSERSCRIPT | " + GM_info.script.name + " " + GM_info.script.version + " | successfully initialized", consoleCSS);
})();
